package com.lightinit.hsdatashow.controller.topic.water;

import com.lightinit.hsdatashow.model.ResultState;
import com.lightinit.hsdatashow.service.topic.water.IGongQingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.servlet.ModelAndView;

/**
 * @Author: sunxiang
 * @Date: 2018/12/25 10:55
 * @Description:
 **/
@Controller
@RequestMapping(value="/topic/water/gongqing/")
public class GongQingController {

    @Autowired
    private IGongQingService gongQingService;
    @RequestMapping(value = "index.htm")
    public ModelAndView index(){
        ModelAndView modelAndView = new ModelAndView("topic/water/floodAndDry/gongqing");
        return modelAndView;
    }

    @RequestMapping(value = "getgongchengfengbutu.action")
    @ResponseBody
    public ResultState getgongchengfengbutu(){
        return gongQingService.getgongchengfengbutu();
    }

    @RequestMapping(value = "getgeqvxiangongchengshu.action")
    @ResponseBody
    public ResultState getgeqvxiangongchengshu(){
        return gongQingService.getgeqvxiangongchengshu();
    }


}
